package com.zhiwei.manage.dao;

import java.util.List;

import com.zhiwei.manage.bean.Message;

/**
 * 处理信息的获取
 * 
 * @author admin
 *
 */
public interface MessageDao {

	/**
	 * 信息插入
	 * 
	 * @param message
	 * @return
	 */
	public String insert(Message message);

	/**
	 * 信息删除
	 * 
	 * @param message
	 * @param pt
	 * @return
	 */
	public String update(Message message, String pt);

	/**
	 * 查找所有的信息
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public List<Message> findAll(int pageNo, int pageSize, String pt);

	/**
	 * 根据模板名称分页查询信息
	 * 
	 * @param templateName
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public List<Message> findByTmpName(String templateName, int pageNo, int pageSize, String pt);

	/**
	 * 删除信息
	 * 
	 * @param MessageId
	 * @param pt
	 * @return
	 */
	public boolean delete(List<String> MessageId, String pt);

	/**
	 * 获取数据条数
	 * 
	 * @param pt
	 * @return
	 */
	public int allCount(String pt);

	/**
	 * 根据模板名获取数据条数
	 * 
	 * @param templateName
	 * @param pt
	 * @return
	 */
	public int findByTmpCount(String templateName, String pt);

	/**
	 * 分页获取模板的信息
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param handle
	 * @param tempName
	 * @param pt
	 * @return
	 */
	public List<Message> findByHandle(int pageNo, int pageSize, boolean handle, String tempName, String pt);

	/**
	 * 获取处理过的信息
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param handle
	 * @param tempName
	 * @param pt
	 * @return
	 */
	public int findByHandleCount(int pageNo, int pageSize, boolean handle, String tempName, String pt);

	/**
	 * 获取信息根据模板名和错误信息
	 * 
	 * @param tempName
	 * @param errorType
	 * @return
	 */
	public Message findMsg(String tempName, String errorType);

}
